class Album(object):
	def __init__(self, artist_id, album):
		"""
			Creates an Album object using the data given as a parameters.
		"""
		self.artist_id = artist_id;
		self.name = album["album"]["name"]
		self.playcount = album["album"]["playcount"]
		self.listeners = album["album"]["listeners"]
		self.release_date = album["album"]["releasedate"]
		self.mbid = album["album"]["mbid"]
		self.url = album["album"]["url"]

		cover = album["album"]["image"][2]["#text"]
		big_cover = album["album"]["image"][3]["#text"]
		#If there is no cover, use the default one.
		if (cover == ""):
			self.cover = "http://static.tumblr.com/k9utpfa/tcom8wpif/default_cover_m.jpg"
			self.big_cover = "http://illustriousworks.ie/files/white_label.gif"
		else:
			self.cover = cover
			self.big_cover = big_cover
		tags = album["album"]["toptags"]
		self.tags = []
		self.tags = ""
		"""
			tags from last.fm sometimes have some problems that have
			to be avoided.
		"""
		if tags != "\n      " and tags["tag"].__class__() == []:
			for tag in tags["tag"]:
				self.tags += " "+tag.__str__()

		self.tracks = album["album"]["tracks"]