class Concert(object):
	"""
		Creates a new concert object with all the information needed.
	"""
	def __init__(self, artist_id, concert):

		self.artist_id = artist_id
		self.name = concert["displayName"]
		self.popularity = concert["popularity"]
		self.venue_name = concert["venue"]["displayName"]
		self.venue_url = concert["venue"]["uri"]
		self.url = concert["uri"]
		self.start = concert["start"]["datetime"]
		self.location = concert["location"]["city"]