class Setlist(object):
	"""
		Creates a new setlist object with all the information needed.
	"""
	def __init__ (self, artist_id, setlist):

		self.artist_id = artist_id
		self.event_date = setlist["@eventDate"]
		self.artist_url = setlist["artist"]["url"]
		self.venue_name = setlist["venue"]["@name"]
		self.venue_city = setlist["venue"]["city"]["@name"]
		self.country = setlist["venue"]["city"]["country"]["@name"]
		songs = []
		for singleSet in setlist["sets"]["set"]:
			songs.append(singleSet["song"])

		self.songs = str(songs)
		self.event_url = setlist["url"]