import time

class Track(object):
	def __init__(self, album_id, track):
		"""
			Defines the object Track with the data given as a parameters.
		"""
		self.mbid = track["track"]["mbid"]
		self.name = track["track"]["name"]
		self.album_id = album_id
		self.url = track["track"]["url"]
		self.duration = track["track"]["duration"]
		#parse the data value from integer to string with the correct format.
		self.string_duration = time.strftime('%M:%S', time.gmtime(int(self.duration)/1000))
		self.listeners = track["track"]["listeners"]
		self.playcount = track["track"]["playcount"]
		tags = track["track"]["toptags"]
		self.tags = ""
		"""
			tags from last.fm sometimes have some problems that have
			to be avoided.
		"""
		if tags != "\n      " and tags["tag"].__class__() == []:
			for tag in tags["tag"]:
				self.tags += " "+tag.__str__()