#google images
from google import *

class Artist(object):
	def __init__(self, artist):
		"""
			set the atributes with the dictionary artist given as a parameter.
		"""
		self.name = artist["artist"]["name"]
		self.mbid = artist["artist"]["mbid"]
		self.url = artist["artist"]["url"]
		self.image =  artist["artist"]["image"][2]["#text"]
		self.listeners = artist["artist"]["stats"]["listeners"]
		self.playcount = artist["artist"]["stats"]["playcount"]
		tags = artist["artist"]["tags"]
		self.bio = artist["artist"]["bio"]["summary"]
		"""
			tags from last.fm sometimes have some problems that have
			to be avoided.
		"""
		self.tags = ""
		if tags != "\n      " and tags["tag"].__class__() == []:
			for tag in tags["tag"]:
				self.tags += " "+tag.__str__()
		self.images = []
		"""
			For the image search is used a library that connect with Google 
			search.
		"""
		options = ImageOptions()
		results = Google.search_images(self.name+" artist", options)
		i = 1
		while i<11:
			self.images.append('{ "link": "'+results[i].link+'"; "thumb": "'+results[i].thumb+'"}');
			i += 1

		self.images = str(self.images)