class Video(object):
	def __init__(self, track_id, entry):
		"""
			Define the Video object with the given data.
		"""
		self.track_id = track_id
		self.yt_id = entry.id.text.split("/")[-1]
		self.title = entry.media.title.text
		self.published = entry.published.text
		self.url = entry.media.player.url
		self.duration = entry.media.duration.seconds
		self.view_count = entry.statistics.view_count
		self.rating = entry.rating.average
		self.thumbnail = entry.media.thumbnail[0].url